> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/mask-type.md).

# MaskType

A single masking type.

```graphql
type MaskType {
  dataTypes: [String!]
  description: String!
  displayName: String!
  externalId: String!
  precedence: Int
}
```

### Fields

#### dataTypes ● [`[String!]`](/api/graphql/data-access/scalars/string.md) list scalar <a href="#data-types" id="data-types"></a>

The list of data types on which this masking rule can be applied.

#### description ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#description" id="description"></a>

The description of the masking type.

#### displayName ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#display-name" id="display-name"></a>

The display name of the masking type.

#### externalId ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#external-id" id="external-id"></a>

The IDof the masking type known by the connector.

#### precedence ● [`Int`](/api/graphql/data-access/scalars/int.md) scalar <a href="#precedence" id="precedence"></a>

Determines precedence order between masking types so solve conflicts when multiple masking rules apply for a certain user on a certain column.

### Member Of

[`MaskingMetadata`](/api/graphql/data-access/object-types/masking-metadata.md) object ● [`SyncData`](/api/graphql/data-access/object-types/sync-data.md) object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/mask-type.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
